org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcOrderedBatchExecuteRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest
    - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcBatchExecuteRequest
      - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcOrderedBatchExecuteRequest

All Implemented Interfaces:
  Comparable<JdbcOrderedBatchExecuteRequest>, ClientListenerRequest, JdbcRawBinarylizable

    public class JdbcOrderedBatchExecuteRequest
    extends JdbcBatchExecuteRequest
    implements Comparable<JdbcOrderedBatchExecuteRequest>

JDBC batch execute ordered request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`BATCH_EXEC`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`JdbcOrderedBatchExecuteRequest()` Default constructor.
`JdbcOrderedBatchExecuteRequest(String schemaName, List<JdbcQuery> queries, boolean lastStreamBatch, long order)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(JdbcOrderedBatchExecuteRequest o)`
`long` `order()`
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcBatchExecuteRequest

`isLastStreamBatch, queries, schemaName`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`readRequest, type`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcOrderedBatchExecuteRequest

    public JdbcOrderedBatchExecuteRequest()

Default constructor.

#### JdbcOrderedBatchExecuteRequest

    public JdbcOrderedBatchExecuteRequest(String schemaName,
                                          List<JdbcQuery> queries,
                                          boolean lastStreamBatch,
                                          long order)

Parameters:
  `schemaName` - Schema name.
  `queries` - Queries.
  `lastStreamBatch` - `true` in case the request is the last batch at the stream.
  `order` - Request order.

### Method Detail

#### order

    public long order()

Returns:
  Request order.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcBatchExecuteRequest`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcBatchExecuteRequest`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcBatchExecuteRequest`

#### compareTo

    public int compareTo(@NotNull
                         JdbcOrderedBatchExecuteRequest o)

Specified by:
  `compareTo` in interface `Comparable<JdbcOrderedBatchExecuteRequest>`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018